Bug 763287 - (GLUSTER-1555) rdma remote port defaults to 6997
rdma remote port defaults to 6997
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: rdma (Show other bugs)
mainline
All Linux
low Severity high
: ---
: ---
Assigned To: Raghavendra G
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-07 05:35 EDT by Anush Shetty
Modified: 2015-12-01 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2010-09-07 05:35:58 EDT
While mounting client over rdma, since remote port isn't mentioned it defaults to rdma default port no 6997.

[2010-09-07 02:12:26.658688] E [rdma.c:4299:tcp_connect_finish] sep7-client-0: tcp connect to  failed (Connection refused)
[2010-09-07 02:12:26.658708] D [rdma.c:4219:rdma_handshake_pollerr] rpc-transport/rdma: sep7-client-0: peer disconnected, cleaning up
[2010-09-07 02:12:26.658730] D [rpc-clnt.c:483:rpc_clnt_connection_cleanup] rpc-clnt: cleaning up state in transport object 0x4d07708
[2010-09-07 02:12:26.658747] E [afr-common.c:2643:afr_notify] sep7-replicate-0: All subvolumes are down. Going offline until atleast one of them comes back u
p.
[2010-09-07 02:12:26.661426] D [name.c:146:client_fill_address_family] sep7-client-2: address-family not specified, guessing it to be inet/inet6
[2010-09-07 02:12:26.661447] D [name.c:218:af_inet_client_get_remote_sockaddr] sep7-client-2: option remote-port missing in volume sep7-client-2. Defaulting 
to 6997
[2010-09-07 02:12:26.661506] E [rdma.c:4299:tcp_connect_finish] sep7-client-1: tcp connect to  failed (Connection refused)
[2010-09-07 02:12:26.661524] D [rdma.c:4219:rdma_handshake_pollerr] rpc-transport/rdma: sep7-client-1: peer disconnected, cleaning up
[2010-09-07 02:12:26.661545] D [rpc-clnt.c:483:rpc_clnt_connection_cleanup] rpc-clnt: cleaning up state in transport object 0x4ce2888
[2010-09-07 02:12:26.661565] E [afr-common.c:2643:afr_notify] sep7-replicate-0: All subvolumes are down. Going offline until atleast one of them comes back u
p.
[2010-09-07 02:12:26.664253] D [name.c:146:client_fill_address_family] sep7-client-3: address-family not specified, guessing it to be inet/inet6
[2010-09-07 02:12:26.664255] E [rdma.c:4299:tcp_connect_finish] sep7-client-2: tcp connect to  failed (Connection refused)
[2010-09-07 02:12:26.664284] D [name.c:218:af_inet_client_get_remote_sockaddr] sep7-client-3: option remote-port missing in volume sep7-client-3. Defaulting 
to 6997
[2010-09-07 02:12:26.664310] D [rdma.c:4219:rdma_handshake_pollerr] rpc-transport/rdma: sep7-client-2: peer disconnected, cleaning up
[2010-09-07 02:12:26.664360] D [rpc-clnt.c:483:rpc_clnt_connection_cleanup] rpc-clnt: cleaning up state in transport object 0x4cbda08
[2010-09-07 02:12:26.664377] E [afr-common.c:2643:afr_notify] sep7-replicate-1: All subvolumes are down. Going offline until atleast one of them comes back u
p.
[2010-09-07 02:12:26.667189] E [rdma.c:4299:tcp_connect_finish] sep7-client-3: tcp connect to  failed (Connection refused)
[2010-09-07 02:12:26.667204] D [rdma.c:4219:rdma_handshake_pollerr] rpc-transport/rdma: sep7-client-3: peer disconnected, cleaning up
[2010-09-07 02:12:26.667225] D [rpc-clnt.c:483:rpc_clnt_connection_cleanup] rpc-clnt: cleaning up state in transport object 0x4c961d8
[2010-09-07 02:12:26.667242] E [afr-common.c:2643:afr_notify] sep7-replicate-1: All subvolumes are down. Going offline until atleast one of them comes back u
p.
Comment 1 Raghavendra G 2010-09-07 11:47:29 EDT
patch http://patches.gluster.com/patch/4643/ in combination of glusterd listening on default ports of rdma and socket will fix this issue. An example configuration is given below:

volume management
    type mgmt/glusterd
    option working-directory /etc/glusterd
    option transport-type socket,rdma
    option transport.socket.listen-port 6969
    option transport.rdma.listen-port 6997
end-volume
Comment 2 Vijay Bellur 2010-09-07 11:55:43 EDT
PATCH: http://patches.gluster.com/patch/4643 in master (rpc-transport/rdma: honour port argument sent in rdma_connect.)
Comment 3 Amar Tumballi 2010-09-07 21:02:29 EDT
Raghu, Do you need the below changes in glusterd.vol? I see that its not committed in mainline..
Comment 4 Raghavendra G 2010-09-07 21:37:26 EDT
(In reply to comment #3)
> Raghu, Do you need the below changes in glusterd.vol? I see that its not
> committed in mainline..

Yes!! will do it :)
Comment 5 Vijay Bellur 2010-09-08 02:36:24 EDT
PATCH: http://patches.gluster.com/patch/4647 in master (mgmt/glusterd: make glusterd to listen on default ports of both socket and rdma transports.)

Note You need to log in before you can comment on or make changes to this bug.